rpm: rpmspec.c File Reference

rpm 4.10.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions | Variables
rpmspec.c File Reference
`#include "system.h"`
`#include <rpm/rpmcli.h>`
`#include <rpm/rpmbuild.h>`
`#include <rpm/rpmlog.h>`
`#include <rpm/rpmts.h>`
`#include "cliutils.h"`
`#include "debug.h"`
Include dependency graph for rpmspec.c:

Go to the source code of this file.

## Enumerations
enum | modes { MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11), MODE_INITDB = (1 << 0), MODE_REBUILDDB = (1 << 1), MODE_VERIFYDB = (1 << 2), MODE_CHECKSIG = (1 << 0), MODE_IMPORTKEY = (1 << 1), MODE_DELKEY = (1 << 2), MODE_LISTKEY = (1 << 3), MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3), MODE_ADDSIGN = (1 << 0), MODE_RESIGN = (1 << 1), MODE_DELSIGN = (1 << 2), MODE_UNKNOWN = 0, MODE_QUERY = (1 << 0), MODE_PARSE = (1 << 1) }
## Functions
int | main (int argc, char *argv[])
## Variables
const char * | program_name
static int | mode = MODE_UNKNOWN
static int | source = RPMQV_SPECRPMS
const char * | target = NULL
char * | queryformat = NULL
static struct poptOption | specOptsTable []
static struct poptOption | optionsTable []

## Enumeration Type Documentation

enum modes

Enumerator:

  MODE_BUILD |
  MODE_REBUILD |
  MODE_RECOMPILE |
  MODE_TARBUILD |
  MODE_INITDB |
  MODE_REBUILDDB |
  MODE_VERIFYDB |
  MODE_CHECKSIG |
  MODE_IMPORTKEY |
  MODE_DELKEY |
  MODE_LISTKEY |
  MODE_QUERY |
  MODE_VERIFY |
  MODE_ADDSIGN |
  MODE_RESIGN |
  MODE_DELSIGN |
  MODE_UNKNOWN |
  MODE_QUERY |
  MODE_PARSE |

Definition at line 13 of file rpmspec.c.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 55 of file rpmspec.c.

References rpmQVKArgs, rpmcliInit(), rpmcliPipeOutput, initPipe(), rpmFreeMacros(), rpmFreeRpmrc(), rpmReadConfigFiles(), rpmcliRcfile, rpmtsCreate(), MODE_QUERY, argerror(), _, rpmQVKArguments_s::qva_queryFormat, queryformat, rpmQVKArguments_s::qva_source, source, rpmQVKArguments_s::qva_specQuery, rpmspecQuery(), rpmcliQuery(), MODE_PARSE, rpmSpecParse(), rpmSpecGetSection(), RPMBUILD_NONE, rpmSpecFree(), MODE_UNKNOWN, rpmIsVerbose, printUsage(), rpmtsFree(), finishPipe(), rpmcliFini(), and RETVAL.

## Variable Documentation

int mode = MODE_UNKNOWN`[static]`

Definition at line 19 of file rpmspec.c.

struct poptOption optionsTable[]`[static]`

Initial value:

     {
        { NULL, '\0', POPT_ARG_INCLUDE_TABLE, specOptsTable, 0,
             "Spec options:" , NULL },

        { NULL, '\0', POPT_ARG_INCLUDE_TABLE, rpmcliAllPoptTable, 0,
             "Common options for all rpm modes and executables:" , NULL },

       POPT_AUTOALIAS
       POPT_AUTOHELP
       POPT_TABLEEND
    }

Definition at line 43 of file rpmspec.c.

const char* program_name

Definition at line 2 of file rpmspec.c.

char* queryformat = NULL

Definition at line 22 of file rpmspec.c.

Referenced by main().

int source = RPMQV_SPECRPMS`[static]`

Definition at line 20 of file rpmspec.c.

Referenced by main().

struct poptOption specOptsTable[]`[static]`

Initial value:

     {
        { "parse", 'P', POPT_ARG_VAL, &mode, MODE_PARSE,
             "parse spec file(s) to stdout" , NULL },
        { "query", 'q', POPT_ARG_VAL, &mode, MODE_QUERY,
             "query spec file(s)" , NULL },
        { "rpms", 0, POPT_ARG_VAL, &source, RPMQV_SPECRPMS,
             "operate on binary rpms generated by spec (default)" , NULL },
        { "srpm", 0, POPT_ARG_VAL, &source, RPMQV_SPECSRPM,
             "operate on source rpm generated by spec" , NULL },
        { "target", 0, POPT_ARG_STRING, &target, 0,
             "override target platform" , NULL },
        { "queryformat", 0, POPT_ARG_STRING, &queryformat, 0,
             "use the following query format" , "QUERYFORMAT" },
        { "qf", 0, (POPT_ARG_STRING | POPT_ARGFLAG_DOC_HIDDEN), &queryformat, 0,
            NULL, NULL },
        POPT_TABLEEND
    }

Definition at line 24 of file rpmspec.c.

const char* target = NULL

Definition at line 21 of file rpmspec.c.

Referenced by build().